@font-face {
	font-family: "Novel";
	src: url("/assets/fonts/novel-sans-pro.woff");
	font-display: swap;
}

:root {
	--popit-primary: #da578b;
	--popit-secondary: #0549a4;
	--popit-a-secondary: #0549a4bf;
	--popit-emphasis: #1ab2e7;
	--font-bold: "Novel", sans-serif;
	--font-text: sans-serif;
	--nav-scale: 0.7;
}

#overlay {
	position: fixed;
	inset: 0;
	background-color: var(--popit-secondary);
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	z-index: 9999;
	user-select: none;
}

.content-loaded #overlay {
	opacity: 0;
	visibility: hidden;
	transition: all 0.75s cubic-bezier(0, 0, 0, 1);
}

@keyframes shake {
	from {
		transform: translateX(-4px);
	}
	to {
		transform: translateX(4px);
	}
}

@keyframes pod-fly {
	from {
		transform: scale(1) translateY(0);
	}
	to {
		transform: scale(2) translateY(-100vh);
	}
}

.overlay-clicked img {
	animation: pod-fly 1.5s cubic-bezier(0, 0, 1, 0) forwards;
}

.overlay-clicked .pod-shaker {
	animation: shake 0.033s steps(2) infinite alternate;
}

#overlay .pod-shaker {
	display: inline-block;
}

#overlay img {
	aspect-ratio: 1 / 1;
	height: 15vh;
}

#overlay p {
	font-family: var(--font-bold);
	font-size: 26px;
}

html {
	overflow-x: hidden;
}

body {
	margin: 0;
	padding: 0;
	background-color: #000;
	color: #fff;
	overflow-x: hidden;
}

/* Blurred Background */
body::before {
	content: "";
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	filter: blur(6px);
	pointer-events: none;
	z-index: -1;

	background-image: url("/assets/images/lbp_cosmos.webp");
	background-size: cover;
	background-position: center;

	transform: scale(2);
}

.pod-ui {
	display: flex;
	align-items: center;
	justify-content: center;

	width: 100vw;
	height: 100vh;
}

.pod-nav {
	display: flex;
	align-items: center;
	justify-content: center;
	min-width: 800px;
	max-width: 800px;
	padding: 32px;
}

.pod-btn-list {
	margin: 0;
	padding: 0;
	list-style-type: none;
}

.pod-left {
	text-align: left;
}

.pod-right {
	text-align: right;
}

.pod-left li {
	transform-origin: 25% 50%;
}

.pod-right li {
	transform-origin: 75% 50%;
}

.pod-btn-list a {
	display: inline-block;
	text-align: center;

	text-decoration: none;
	font-family: var(--font-bold);
	font-weight: bolder;
	font-size: 32px;

	padding: 16px 20px;
	padding-bottom: 10px;
	margin: 4px;

	background-color: var(--popit-secondary);
	color: #fff;

	mask-image: url("/assets/images/pod_button.svg");
	mask-size: 100% 100%;
	mask-repeat: no-repeat;
	mask-position: center;

	transition:
		transform 0.7s cubic-bezier(0.25, 2, 0.5, 1),
		background-color 0.7s cubic-bezier(0.2, 1, 0, 1);
	user-select: none;
}

.pod-btn-list a:hover {
	background-color: var(--popit-primary);
	transform: scale(1.25);
}

.polaroid {
	display: inline-block;
	position: relative;
	margin: 0 24px;
}

.polaroid img:first-child {
	position: absolute;
	width: 100%;
	height: 100%;
	scale: 68%;

	transform: rotate(3deg);
	transform-origin: 58.5% 26%;
	user-select: none;
}

.polaroid img:last-child {
	position: relative;
	transform: rotate(4deg);
	user-select: none;
}

#root {
	height: calc(100% - 128px);
	width: 100%;
	max-width: 800px;
	margin-right: 32px;
	padding: 32px;
	background-color: var(--popit-a-secondary);
	border-radius: 32px;
	overflow: scroll;
}

/* Writing Styling */

* {
	font-family: var(--font-text);
	color: #fff;
	font-size: 18px;
}

strong,
thead th {
	font-family: var(--font-bold);
}

a {
	color: var(--popit-emphasis);
}

code {
	font-family: monospace;
	font-size: 16px;
	padding: 0px 4px;
	border-radius: 4px;
	background-color: #11111140;
	display: inline-block;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: var(--font-bold);
}

h1 {
	font-size: 36px;
}
h2 {
	font-size: 30px;
}
h3 {
	font-size: 26px;
}
h4 {
	font-size: 22px;
}
h5 {
	font-size: 18px;
}
h6 {
	font-size: 14px;
}

#root img {
	width: 100%;
	border-radius: 32px;
	margin-bottom: 16px;
}

@media (max-width: 1250px) {
	.pod-ui {
		flex-direction: column;
	}

	.pod-nav {
		padding-left: 0;
		padding-right: 0;
		scale: var(--nav-scale);
	}

	#root {
		margin: 32px;
		margin-top: -64px;
		width: calc(100% - 128px);
	}
}
